# eric5.Plugins.VcsPlugins.vcsMercurial.RebaseExtension.HgRebaseDialog

Module implementing a dialog to enter the data for a rebase session.

### Global Attributes

None

### Classes

HgRebaseDialog | Class implementing a dialog to enter the data for a rebase session.

### Functions

None

## HgRebaseDialog

Class implementing a dialog to enter the data for a rebase session.

### Derived from

QDialog, Ui_HgRebaseDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgRebaseDialog | Constructor
__getRevision | Private method to generate the revision.
__updateOK | Private slot to update the OK button.
getData | Private method to retrieve the data for the rebase session.
on_bookmark1Button_toggled | Private slot to handle changes of the Bookmark1 select button.
on_bookmark1Combo_editTextChanged | Private slot to handle changes of the Bookmark1 combo.
on_bookmark2Button_toggled | Private slot to handle changes of the Bookmark2 select button.
on_bookmark2Combo_editTextChanged | Private slot to handle changes of the Bookmark2 combo.
on_branch1Button_toggled | Private slot to handle changes of the Branch1 select button.
on_branch1Combo_editTextChanged | Private slot to handle changes of the Branch1 combo.
on_branch2Button_toggled | Private slot to handle changes of the Branch2 select button.
on_branch2Combo_editTextChanged | Private slot to handle changes of the Branch2 combo.
on_id1Button_toggled | Private slot to handle changes of the ID1 select button.
on_id1Edit_textChanged | Private slot to handle changes of the ID1 edit.
on_id2Button_toggled | Private slot to handle changes of the ID2 select button.
on_id2Edit_textChanged | Private slot to handle changes of the ID2 edit.
on_tag1Button_toggled | Private slot to handle changes of the Tag1 select button.
on_tag1Combo_editTextChanged | Private slot to handle changes of the Tag1 combo.
on_tag2Button_toggled | Private slot to handle changes of the Tag2 select button.
on_tag2Combo_editTextChanged | Private slot to handle changes of the Tag2 combo.

### Static Methods

None

#### HgRebaseDialog (Constructor)

HgRebaseDialog(tagsList, branchesList, bookmarksList=None, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
bookmarksList
  list of bookmarks (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgRebaseDialog.__getRevision

__getRevision(no)

Private method to generate the revision.

no
  revision number to generate (1 or 2)

Returns:
  revision (string)

#### HgRebaseDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgRebaseDialog.getData

getData()

Private method to retrieve the data for the rebase session.

Returns:
  tuple with a source indicator of "S" or "B", the source revision, the destination revision, a flag indicating to collapse, a flag indicating to keep the original changesets, a flag indicating to keep the original branch name and a flag indicating to detach the source (string, string, string, boolean, boolean, boolean, boolean)

#### HgRebaseDialog.on_bookmark1Button_toggled

on_bookmark1Button_toggled(checked)

Private slot to handle changes of the Bookmark1 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_bookmark1Combo_editTextChanged

on_bookmark1Combo_editTextChanged(txt)

Private slot to handle changes of the Bookmark1 combo.

txt
  text of the combo (string)

#### HgRebaseDialog.on_bookmark2Button_toggled

on_bookmark2Button_toggled(checked)

Private slot to handle changes of the Bookmark2 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_bookmark2Combo_editTextChanged

on_bookmark2Combo_editTextChanged(txt)

Private slot to handle changes of the Bookmark2 combo.

txt
  text of the combo (string)

#### HgRebaseDialog.on_branch1Button_toggled

on_branch1Button_toggled(checked)

Private slot to handle changes of the Branch1 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_branch1Combo_editTextChanged

on_branch1Combo_editTextChanged(txt)

Private slot to handle changes of the Branch1 combo.

txt
  text of the combo (string)

#### HgRebaseDialog.on_branch2Button_toggled

on_branch2Button_toggled(checked)

Private slot to handle changes of the Branch2 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_branch2Combo_editTextChanged

on_branch2Combo_editTextChanged(txt)

Private slot to handle changes of the Branch2 combo.

txt
  text of the combo (string)

#### HgRebaseDialog.on_id1Button_toggled

on_id1Button_toggled(checked)

Private slot to handle changes of the ID1 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_id1Edit_textChanged

on_id1Edit_textChanged(txt)

Private slot to handle changes of the ID1 edit.

txt
  text of the edit (string)

#### HgRebaseDialog.on_id2Button_toggled

on_id2Button_toggled(checked)

Private slot to handle changes of the ID2 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_id2Edit_textChanged

on_id2Edit_textChanged(txt)

Private slot to handle changes of the ID2 edit.

txt
  text of the edit (string)

#### HgRebaseDialog.on_tag1Button_toggled

on_tag1Button_toggled(checked)

Private slot to handle changes of the Tag1 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_tag1Combo_editTextChanged

on_tag1Combo_editTextChanged(txt)

Private slot to handle changes of the Tag1 combo.

txt
  text of the combo (string)

#### HgRebaseDialog.on_tag2Button_toggled

on_tag2Button_toggled(checked)

Private slot to handle changes of the Tag2 select button.

checked
  state of the button (boolean)

#### HgRebaseDialog.on_tag2Combo_editTextChanged

on_tag2Combo_editTextChanged(txt)

Private slot to handle changes of the Tag2 combo.

txt
  text of the combo (string)

Up